package wj.math;

import java.lang.Math;

public class Calculus {
	public static boolean isZero(double x)
	{
		return Math.abs(x) < EPSILON;
	}
	public static boolean isInOpenInterval(double x, double left, double right)
	{
		return (left+EPSILON < x) && (x < right-EPSILON);
	}

	private static final double EPSILON = 0.0000001;
}
