package wj.math;

public class IntegerMath {

	public static int binomial(int n,int m)
	{
		int result=1;

		if (n<0 || m<0 || n<m) return 0;
		for (int i=0 ; i<m ; i++)
		{
			result = (result*(n-i))/(i+1);
		}
		return result;
	}

	public static int faculty(int n)
	{
		int result=1;
		for (int i=0 ; i<n ; i++)
		{
			result = result*(n-i);
		}
		return result;
	}

	public static int stijgende_faculteit(int n, int m)
	{
		return binomial(n+m-1, n-1);
	}

	public static int dalende_faculteit(int n, int m)
	{
		return binomial(n, m);
	}
}
